A valid request URL is required to generate request examples{
"id": "<string>",
"name": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"validity_hours": {
"daily": [
{
"days_of_week": [
3
],
"start_time": "<string>",
"end_time": "<string>"
}
]
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}Update program
⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Updates a loyalty program. When the program is not in DRAFT status, only name and
metadata may be changed (other properties are restricted after leaving draft).
A valid request URL is required to generate request examples{
"id": "<string>",
"name": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"validity_hours": {
"daily": [
{
"days_of_week": [
3
],
"start_time": "<string>",
"end_time": "<string>"
}
]
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique program identifier.
^lprg_[a-f0-9]+$Body
Payload for updating a loyalty program. All properties are optional. When the program is
not in DRAFT status, only name and metadata may be changed.
Program name.
1 - 200Program validity start date, in ISO 8601 date-time format.
Program validity end date, in ISO 8601 date-time format.
Validity hours configuration.
Show child attributes
Show child attributes
Arbitrary key-value metadata. Validated against the vl_program metadata schema definition of the project.
Response
The updated program.
A loyalty program.
Unique program identifier.
^lprg_[a-f0-9]+$Program name.
Program status.
DRAFT, ACTIVE, INACTIVE, DELETED Program validity start date (ISO 8601), or null when not set.
Program validity end date (ISO 8601), or null when not set.
Validity hours configuration. Defaults to type ANY_TIME.
Show child attributes
Show child attributes
Arbitrary key-value metadata. Defaults to {}.
Creation timestamp (ISO 8601).
Last update timestamp (ISO 8601), or null when never updated.
Object type marker.
"program"Was this page helpful?

